package com.ruoyi.project.intact.his.service;

import com.ruoyi.project.intact.his.domain.TIntactHiGj;
import com.ruoyi.project.intact.his.domain.TIntactHiPump;

import java.util.List;

/**
 * 设备完整性-管件台账变更历史记录Service接口
 * 
 * @author ruoyi
 * @date 2022-06-29
 */
public interface ITIntactHiGjService 
{
    /**
     * 查询设备完整性-管件台账变更历史记录
     * 
     * @param id 设备完整性-管件台账变更历史记录ID
     * @return 设备完整性-管件台账变更历史记录
     */
    public TIntactHiGj selectTIntactHiGjById(Long id);

    /**
     * 查询设备完整性-管件台账变更历史记录列表
     * 
     * @param tIntactHiGj 设备完整性-管件台账变更历史记录
     * @return 设备完整性-管件台账变更历史记录集合
     */
    public List<TIntactHiGj> selectTIntactHiGjList(TIntactHiGj tIntactHiGj);

    public  List<TIntactHiGj> selectTIntactHiGjByReform(Long devId);

    /**
     * 新增设备完整性-管件台账变更历史记录
     * 
     * @param tIntactHiGj 设备完整性-管件台账变更历史记录
     * @return 结果
     */
    public int insertTIntactHiGj(TIntactHiGj tIntactHiGj);

    /**
     * 修改设备完整性-管件台账变更历史记录
     * 
     * @param tIntactHiGj 设备完整性-管件台账变更历史记录
     * @return 结果
     */
    public int updateTIntactHiGj(TIntactHiGj tIntactHiGj);

    /**
     * 批量删除设备完整性-管件台账变更历史记录
     * 
     * @param ids 需要删除的设备完整性-管件台账变更历史记录ID
     * @return 结果
     */
    public int deleteTIntactHiGjByIds(Long[] ids);

    /**
     * 删除设备完整性-管件台账变更历史记录信息
     * 
     * @param id 设备完整性-管件台账变更历史记录ID
     * @return 结果
     */

    public int deleteTIntactHiGjById(Long id);
    /**
     * 根据devid删除特种设备压力容器的台账历史信息
     * @param devId
     * @return
     */
    public int deleteTIntactHiGjByDevId(Long devId);
}
